Security Enhanced Linux Reference Policy

# Layer: services

## Module: asterisk

Interfaces

### Description:

Asterisk IP telephony server.

### Interfaces:

asterisk_admin( domain , role )

##### Summary

All of the rules required to administrate an asterisk environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

asterisk_domtrans( domain )

##### Summary

Execute asterisk in the asterisk domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed to transition.

asterisk_exec( domain )

##### Summary

Execute asterisk in the caller domain.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

asterisk_setattr_logs( domain )

##### Summary

Set attributes of asterisk log files and directories.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

asterisk_setattr_pid_files( domain )

##### Summary

Set attributes of the asterisk PID content.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

asterisk_stream_connect( domain )

##### Summary

Connect to asterisk over a unix domain. stream socket.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return